Subject: Re: [bug#42040] [PATCH] gnu: mumble: Fix mumble-overlay.
From: Ludovic Courtès <[email-masked]>
To: Leo Prikler <[email-masked]>
Cc: [email-masked]
Date: Sun, 28 Jun 2020 23:16:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Leo Prikler <[email-masked]> skribis:

> The canonical mumble-overlay script searches for libmumble.so.1 in various
> directories, none of which are relevant in Guix installations and
> additionally does some work to match the architecture of the library to that
> of the command that will be executed.
> This work is unnecessary in Guix and only causes the script to fail, so we
> instead just hardcode the path.
>
> * gnu/packages/telephony.scm (mumble)[#:phases]: Add fix-mumble-overlay.

Applied, thanks!

The original ‘script/mumble-overlay’ script is surprisingly complex.

Ludo’.